Skip to main content
curl -X GET 'https://order.api.e-cross.tech/ext/orders/ACME-ECOM-TEST-003/documents' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "status": "success",
  "documents": [
    {
      "name": "Invoice",
      "url": "https://pdfobject.com/pdf/sample.pdf"
    },
    {
      "name": "Label",
      "url": "https://pdfobject.com/pdf/sample.pdf"
    }
  ]
}
{
  "status": "processing"
}

Path Parameters

orderId
string
required
The e-CROSS order ID. Use this when retrieving by order ID.

Response Fields

status
string
Status of document availability:
  • success - Order is ready to ship and all documents are available
  • processing - Documents are not available yet, order is waiting to be invoiced
documents
array
Array of documents related to the order. Only present when status is success. If status is processing, this field won’t be present.